net.sf.jasperreports.engine

## Enum EvaluationType

- java.lang.Object
- - java.lang.Enum<EvaluationType>
  - - net.sf.jasperreports.engine.EvaluationType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EvaluationType>

      public enum EvaluationType
      extends java.lang.Enum<EvaluationType>

  Determines the field and variables values to be used when evaluating an expression.
  Version:
    $Id: EvaluationType.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` Use current values when evaluating the expression.
    `ESTIMATED` Use estimated/future values when evaluating the expression.
    `OLD` Use old/previous values when evaluating the expression.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getType()` Returns the corresponding byte value for the evaluation type.
    `static EvaluationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EvaluationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final EvaluationType DEFAULT

      Use current values when evaluating the expression.

    - #### OLD

          public static final EvaluationType OLD

      Use old/previous values when evaluating the expression.

    - #### ESTIMATED

          public static final EvaluationType ESTIMATED

      Use estimated/future values when evaluating the expression.

  - ### Method Detail

    - #### values

          public static EvaluationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EvaluationType c : EvaluationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EvaluationType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getType

          public byte getType()

      Returns the corresponding byte value for the evaluation type.
      See Also:
        `JRExpression.EVALUATION_DEFAULT`, `JRExpression.EVALUATION_OLD`, `JRExpression.EVALUATION_ESTIMATED`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com